CREATE TABLE coop_rec_categorias (
  IDCategoria int(11) NOT NULL AUTO_INCREMENT,
  Nombre varchar(250) NOT NULL,
  Descripcion text,
  FechaAlta datetime NOT NULL,
  PRIMARY KEY (IDCategoria)
) AUTO_INCREMENT=14;



#
# Dumping data for table 'coop_rec_categorias'
#

TRUNCATE TABLE coop_rec_categorias;
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(1,'Conexion de Servicio','','2013-01-07 18:48:31');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(2,'Baja del Servicio','','2013-01-07 18:48:44');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(3,'Reclamos de Servicio','','2013-01-07 18:48:31');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(4,'Cambio de Domicilio','','2013-06-27 16:40:59');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(5,'Reconexion del Servicio','','2013-06-27 17:24:22');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(6,'Cambio de Plan','','2013-06-27 17:37:53');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(8,'Datos de Facturacion','','2013-06-27 17:41:38');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(9,'Tareas Programadas','','2013-08-30 09:51:57');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(10,'Instalar Router de Coop.','','2013-10-23 11:31:54');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(11,'Equipos a Retirar','','2013-10-31 08:46:45');
INSERT INTO coop_rec_categorias (IDCategoria, Nombre, Descripcion, FechaAlta) VALUES(13,'fdsfas','','2014-04-25 12:05:48');


CREATE TABLE coop_rec_condicion_iva (
  IDCondIva int(11) NOT NULL,
  Nombre varchar(300) NOT NULL
);


TRUNCATE TABLE coop_rec_condicion_iva;
INSERT INTO coop_rec_condicion_iva (IDCondIva, Nombre) VALUES(1,'Responsable Inscripto');
INSERT INTO coop_rec_condicion_iva (IDCondIva, Nombre) VALUES(2,'Monotributista');
INSERT INTO coop_rec_condicion_iva (IDCondIva, Nombre) VALUES(3,'Responsable No Inscripto');
INSERT INTO coop_rec_condicion_iva (IDCondIva, Nombre) VALUES(4,'Consumidor Final');


CREATE TABLE  coop_rec_estados (
  IDEstado int(11) NOT NULL,
  Nombre varchar(300) NOT NULL
);

TRUNCATE TABLE coop_rec_estados;
INSERT INTO coop_rec_estados (IDEstado, Nombre) VALUES(1,'Pendiente');
INSERT INTO coop_rec_estados (IDEstado, Nombre) VALUES(2,'Realizado');


CREATE TABLE  coop_rec_perfiles (
  IDPerfil int(11) NOT NULL,
  Nombre varchar(250) NOT NULL
);


TRUNCATE TABLE coop_rec_perfiles;
INSERT INTO coop_rec_perfiles (IDPerfil, Nombre) VALUES(1,'Super Administrador');
INSERT INTO coop_rec_perfiles (IDPerfil, Nombre) VALUES(2,'Administrador');
INSERT INTO coop_rec_perfiles (IDPerfil, Nombre) VALUES(3,'T&eacute;cnicos');


CREATE TABLE  coop_rec_reclamos (
  IDReclamo int(11) NOT NULL AUTO_INCREMENT,
  IDCategoria int(11) DEFAULT NULL,
  Fecha date DEFAULT NULL,
  NroSocio varchar(25) DEFAULT NULL,
  Nombre varchar(300) DEFAULT NULL,
  Apellido varchar(300) DEFAULT NULL,
  Dni varchar(30) DEFAULT NULL,
  Direccion varchar(300) DEFAULT NULL,
  Localidad varchar(300) DEFAULT NULL,
  Telefono varchar(30) DEFAULT NULL,
  IDCondIva int(11) DEFAULT NULL,
  Cuit varchar(30) DEFAULT NULL,
  Email varchar(300) DEFAULT NULL,
  IDEstado int(11) DEFAULT NULL,
  Observaciones text,
  IDUsuarioUltMod int(11) DEFAULT NULL,
  IDOperarioAux int(11) NOT NULL,
  FechaAlta datetime DEFAULT NULL,
  FechaUltMod datetime DEFAULT NULL,
  FechaComienzo datetime NOT NULL,
  IDTarea int(11) NOT NULL,
  OtraTarea varchar(200) NOT NULL,
  TipoTarea varchar(400) NOT NULL,
  NroUsuario varchar(50) NOT NULL,
  IDUsuarioAsignado int(11) DEFAULT NULL,
  ObservacionesCierre text,
  PRIMARY KEY (IDReclamo)
) AUTO_INCREMENT=1;



CREATE TABLE  coop_rec_resol_parametros (
  IDParametro int(11) NOT NULL,
  Nombre varchar(500) NOT NULL,
  Orden int(11) NOT NULL,
  Pagina varchar(400) NOT NULL
);



TRUNCATE TABLE coop_rec_resol_parametros;
INSERT INTO coop_rec_resol_parametros (IDParametro, Nombre, Orden, Pagina) VALUES (1,'Tasa de Reclamos ante el Prestador (TRP) ',10,'trp.php');
INSERT INTO coop_rec_resol_parametros (IDParametro, Nombre, Orden, Pagina) VALUES(2,'Tasa de Reclamos de Clientes ante el Prestador (TRCP)',20,'trcp.php');
INSERT INTO coop_rec_resol_parametros (IDParametro, Nombre, Orden, Pagina) VALUES(3,'Tasa de Reiteración de Reclamos (TRR) ',30,'trr.php');
INSERT INTO coop_rec_resol_parametros (IDParametro, Nombre, Orden, Pagina) VALUES(4,'Tasa de Calidad de la Facturación (TCF)',40,'tcf.php');
INSERT INTO coop_rec_resol_parametros (IDParametro, Nombre, Orden, Pagina) VALUES(5,'Demora Promedio en la Operatividad del<br> Servicio Solicitado (DPOSS)',50,'dposs.php');
INSERT INTO coop_rec_resol_parametros (IDParametro, Nombre, Orden, Pagina) VALUES(6,'Tasa de Fallas en la Red del Prestador (TFRP)',60,'tfrp.php');
INSERT INTO coop_rec_resol_parametros (IDParametro, Nombre, Orden, Pagina) VALUES(7,'Demora Promedio en la Reparación de Fallas<br> en los Accesos de los Usuarios/Clientes (DRF)',70,'drf.php');


CREATE TABLE  coop_rec_resol_valores (
  IDValor int(11) NOT NULL AUTO_INCREMENT,
  IDParametro int(11) NOT NULL,
  Mes int(11) NOT NULL,
  Anio int(11) NOT NULL,
  Valor1 varchar(40) NOT NULL,
  Valor2 varchar(40) NOT NULL,
  Valor3 varchar(40) NOT NULL,
  Valor4 varchar(40) NOT NULL,
  FechaUltMod datetime NOT NULL,
  Resultado varchar(50) NOT NULL,
  PRIMARY KEY (IDValor)
) AUTO_INCREMENT=1;

CREATE TABLE  coop_rec_tareas (
  IDTarea int(11) NOT NULL AUTO_INCREMENT,
  Nombre varchar(250) NOT NULL,
  FechaAlta datetime NOT NULL,
  PRIMARY KEY (IDTarea)
) AUTO_INCREMENT=38;


TRUNCATE TABLE coop_rec_tareas;
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(1,'Router Tildado','2013-07-03 07:09:50');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(2,'Problema Interno','2013-07-03 07:10:05');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(3,'Antena Reseteada','2013-07-03 07:11:41');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(4,'Cable Utp Cortado','2013-07-03 07:11:54');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(5,'Switch Tildado','2013-07-03 07:12:29');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(6,'Switch Quemado','2013-07-03 07:12:49');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(7,'Router Reseteado','2013-07-03 07:13:06');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(8,'Antena Baja Calidad de SeÃ±al','2013-07-03 07:13:37');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(9,'Modem Tildado','2013-07-03 07:14:41');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(10,'Cuenta Pppoe Desconfigurada','2013-07-03 07:15:08');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(12,'Configurar Router','2013-07-03 07:16:41');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(13,'Configurar Pppoe / IP','2013-07-03 07:17:01');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(14,'RJ45 Sulfatado','2013-07-03 07:18:11');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(15,'Inyector Poe Quemado','2013-07-03 07:18:43');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(16,'Inyector Poe Desconectado','2013-07-03 07:19:20');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(17,'Problemas en el NOC','2013-07-03 07:20:09');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(18,'Problemas Tasa / Teco','2013-07-03 07:20:31');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(19,'Empalme Sulfatado','2013-07-03 07:26:42');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(20,'Conexion Finalizada','2013-07-03 07:45:47');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(21,'Cambio de Domicilio Finalizado','2013-07-03 07:46:04');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(22,'Reconexion de Servicio','2013-07-03 10:30:18');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(23,'Cambio Plan de Factruacion','2013-07-03 10:34:45');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(24,'Tarea Finalizada','2013-07-05 13:03:10');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(25,'Problemas con la PC','2013-07-05 13:03:32');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(26,'Router Quemado','2013-07-11 07:14:27');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(28,'Antena Lan Quemada','2013-07-15 12:40:50');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(29,'Conflicto IP','2013-08-16 09:54:46');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(30,'Puerto Switch Quemado','2013-08-16 09:55:25');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(31,'Control Conex - C.Servicio','2013-08-16 13:19:38');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(32,'Cambio RJ45','2013-08-16 13:21:06');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(33,'Cambio de lugar conexion','2013-08-16 13:21:26');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(34,'Configurar Correo','2013-08-16 13:21:51');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(35,'Calve Wifi - Recordar','2013-08-16 13:22:33');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(36,'Router mal conectado','2013-08-16 13:23:46');
INSERT INTO coop_rec_tareas (IDTarea, Nombre, FechaAlta) VALUES(37,'Conf. otra PC - Note - Tablet','2013-08-16 13:24:54');


CREATE TABLE  coop_rec_usuarios_bo (
  IDUsuario int(11) NOT NULL AUTO_INCREMENT,
  Nombre varchar(80) NOT NULL,
  Apellido varchar(80) NOT NULL,
  Email varchar(500) NOT NULL,
  Usuario varchar(50) NOT NULL,
  Clave varchar(50) NOT NULL,
  Perfil int(11) DEFAULT NULL,
  FechaAlta datetime DEFAULT NULL,
  PRIMARY KEY (IDUsuario)
) AUTO_INCREMENT=3;


INSERT INTO coop_rec_usuarios_bo (IDUsuario, Nombre, Apellido, Email, Usuario, Clave, Perfil, FechaAlta) VALUES(1,'admin','admin','admin@admin.com.ar','admin','admin',1,NULL);
INSERT INTO coop_rec_usuarios_bo (IDUsuario, Nombre, Apellido, Email, Usuario, Clave, Perfil, FechaAlta) VALUES(2,'tecnico','tecnico','tecnico@tecnico.com.ar','tecnico','tecnico',2,'2013-06-28 07:19:21');


#
# Table structure for table 'coop_socios'
#

CREATE TABLE  coop_socios (
  IDSocio int(11) NOT NULL AUTO_INCREMENT,
  NroSocio int(11) NOT NULL,
  Nombre varchar(500) DEFAULT NULL,
  TipoDoc varchar(50) DEFAULT NULL,
  NumeroDoc varchar(50) DEFAULT NULL,
  Cuit varchar(50) DEFAULT NULL,
  IngresoBruto varchar(50) DEFAULT NULL,
  FechaAlta datetime NOT NULL,
  PRIMARY KEY (IDSocio)
) AUTO_INCREMENT=1;


# Table structure for table 'coop_suministros'
#

CREATE TABLE  coop_suministros (
  IDSuministro int(11) NOT NULL AUTO_INCREMENT,
  NroUsuario int(15) NOT NULL,
  NroSocio int(15) NOT NULL,
  Nombre varchar(500) DEFAULT NULL,
  Domicilio varchar(500) DEFAULT NULL,
  Servicio int(11) DEFAULT NULL,
  Tarifa varchar(50) DEFAULT NULL,
  NroMedidor varchar(50) DEFAULT NULL,
  Ruta varchar(50) DEFAULT NULL,
  CondicionIva varchar(50) DEFAULT NULL,
  Fase varchar(50) DEFAULT NULL,
  SubEstacion varchar(50) DEFAULT NULL,
  FechaAlta datetime DEFAULT NULL,
  PRIMARY KEY (IDSuministro)
) AUTO_INCREMENT=1;




DELIMITER $$
--
-- Procedimientos
--
DROP PROCEDURE IF EXISTS `coop_rec_usuarios_bo_eliminar`$$
CREATE PROCEDURE `coop_rec_usuarios_bo_eliminar`(
    p_id INT
)
BEGIN
	DELETE FROM coop_rec_usuarios_bo WHERE IDUsuario = p_id;
	
	SELECT 1 AS result;
END$$

DROP PROCEDURE IF EXISTS `coop_rec_usuarios_bo_guardar`$$
CREATE PROCEDURE `coop_rec_usuarios_bo_guardar`(
	p_id	    		INT,
   
	p_nombre        	VARCHAR(400),
	p_apellido		VARCHAR(400),
	p_email         	VARCHAR(400),        
	p_usuario		VARCHAR(50),
	p_clave			VARCHAR(50),
	p_perfil		INT(11)
	
)
BEGIN
	
	DECLARE existe_usuario 	boolean;
	DECLARE id 		INT;
	
	if (p_id = 0) then
		/*Es un usuario nuevo, valido que no haya otro con el mismo usuario*/
		SET existe_usuario = EXISTS(SELECT DISTINCT 1 FROM coop_rec_usuarios_bo WHERE Usuario = p_usuario);
		
		if (existe_usuario) then
			select -2 as result;
		ELSE 	
			insert into coop_rec_usuarios_bo (
				Nombre,
				Apellido,
				Email,
				Usuario,
				Clave,
				Perfil, 
				FechaAlta
			) values (
				p_nombre,
				p_apellido,
				p_email,
				p_usuario,
				p_clave,
				p_perfil,
				NOW()
			);
			
			SELECT LAST_INSERT_ID() AS result;
		end if;
	ELSE
		SET existe_usuario = EXISTS(SELECT DISTINCT 1 FROM coop_rec_usuarios_bo WHERE Usuario = p_usuario AND IDUsuario <> p_id);
		
		if (existe_usuario) then
			select -2 as result;
		ELSE 
			UPDATE coop_rec_usuarios_bo SET 
				Nombre = p_nombre,
				Apellido = p_apellido,
				Email = p_email,
				Usuario = p_usuario,
				Clave = p_clave,
				Perfil = p_perfil 
			WHERE IDUsuario = p_id;

			SELECT p_id as result;
		END IF;
	end if;
END$$

DROP PROCEDURE IF EXISTS `coop_rec_usuarios_bo_listado`$$
CREATE PROCEDURE `coop_rec_usuarios_bo_listado`()
BEGIN
	SELECT * FROM coop_rec_usuarios_bo ORDER BY Nombre, Apellido;
END$$

DROP PROCEDURE IF EXISTS `coop_rec_usuarios_bo_obtener`$$
CREATE PROCEDURE `coop_rec_usuarios_bo_obtener`(
    p_id int,
    p_secreto VARCHAR(200)
)
BEGIN
    
    select 1 resultado, usu.* from coop_rec_usuarios_bo usu
    where 
    
    (   ifnull(p_id, 0)!= 0 
        and ifnull(p_secreto, '')= '' 
        and usu.IDUsuario = p_id
    )
    or (    ifnull(p_secreto, '')!= ''
            and ifnull(p_id, 0)= 0 
    
            and MD5(CONCAT(usu.Usuario, usu.Clave))= p_secreto
        );
END$$


DROP PROCEDURE IF EXISTS `obtener_listado`$$
CREATE PROCEDURE `obtener_listado`(
    p_select_from1 TEXT,
    p_where1 TEXT,
    p_page INT,
    p_limit INT,
    p_order_field VARCHAR(50),
    p_order_dir VARCHAR(50),
    p_jqgrid_search_cond VARCHAR(300),
    p_select_from2 TEXT,
    p_where2 TEXT,
	p_debug INT
)
BEGIN
    DECLARE from_stmt1 TEXT;
    DECLARE from_stmt2 TEXT;
	
    SET p_select_from1 = LOWER(p_select_from1);
	SET p_select_from2 = LOWER(p_select_from2);
    SET p_where1 = LOWER(p_where1);
    SET p_where2 = LOWER(p_where2);
    SET @clausulas_where1= ' 1 = 1 ';
    SET @clausulas_where2= ' 1 = 1 ';
	
    SET @utiliza_union = (TRIM(p_select_from2)!= '');
   
    IF(TRIM(p_where1)!= '') THEN
        SET @clausulas_where1=  CONCAT(@clausulas_where1, ' and ', p_where1, ' ');
    END IF;
	
   
    IF(TRIM(p_jqgrid_search_cond)!= '') THEN
        SET @clausulas_where1=  CONCAT(@clausulas_where1, ' and ', p_jqgrid_search_cond, ' ');
    END IF;
	
	IF(@utiliza_union) THEN
		
		IF(TRIM(p_where2)!= '') THEN
			SET @clausulas_where2=  CONCAT(@clausulas_where2, ' and ', p_where2, ' ');
		END IF;
		
	   
		IF(TRIM(p_jqgrid_search_cond)!= '') THEN
			SET @clausulas_where2=  CONCAT(@clausulas_where2, ' and ', p_jqgrid_search_cond, ' ');
		END IF;
    END IF;
	
    SET from_stmt1= SUBSTRING_INDEX(p_select_from1, ' from ', -1);
	
	IF(@utiliza_union) THEN
		SET from_stmt2= SUBSTRING_INDEX(p_select_from2, ' from ', -1);
    END IF;
	
	IF( NOT @utiliza_union) THEN
		SET @count_stmt= CONCAT(	'select count(1) into @cantidad from ', 
			from_stmt1, ' where ', @clausulas_where1);
	ELSE
		SET @count_stmt= CONCAT(	'select sum(tabla.cantidad) into @cantidad from (', 
			'select count(1) cantidad from ', from_stmt1, ' where ', @clausulas_where1,
			' union ',
			'select count(1) cantidad from ', from_stmt2, ' where ', @clausulas_where2,
		') tabla');
    END IF;

	IF(p_debug!= 1) THEN
		PREPARE COUNT FROM @count_stmt;
		EXECUTE COUNT;
		
		SET @cant_pags= CEILING(@cantidad/ p_limit);
		SET  @START = p_limit * p_page - p_limit;
		DEALLOCATE PREPARE COUNT;
	ELSE
	    SELECT @count_stmt AS counti_stmt;
	END IF;
    
	
	SET @select_size = -1;
	SET @posicion_from = 0;
	REPEAT 
		SET @select_size = @select_size + 1;
		SET @posicion_from = LOCATE(' from ', p_select_from1, @posicion_from+ 1); 
	UNTIL @posicion_from = 0 END REPEAT;
  
    SET @sql_select1= SUBSTRING_INDEX(p_select_from1, ' from ', @select_size);
    
	IF( @utiliza_union) THEN
		SET @sql_select2= SUBSTRING_INDEX(p_select_from2, ' from ', @select_size);
	END IF;
	
	
	SET @stmt_query_final= 	CONCAT(	@sql_select1, ', ', 
										p_page, ' page, ',  @cant_pags, ' total, ', @cantidad, ' records',
									' from ', from_stmt1,
									' where ', @clausulas_where1
							);
	
	
	IF( @utiliza_union) THEN
		SET @stmt_query_final= CONCAT(	 @stmt_query_final, 
										' union ',
										@sql_select2, ', ', 
										p_page, ' page, ',  @cant_pags, ' total, ', @cantidad, ' records',
									' from ', from_stmt2,
									' where ', @clausulas_where2
							);
	END IF;
	
	
	IF(TRIM(p_order_field)!= '') THEN
		SET @stmt_query_final= 	CONCAT(	@stmt_query_final, 
										' ORDER BY ', p_order_field, ' ', p_order_dir
								);
	END IF;
	
	
	SET @stmt_query_final= 	CONCAT(	@stmt_query_final, 
										' LIMIT ', @START, ', ', p_limit
								);	
    
	IF(p_debug!= 2) THEN
		PREPARE stmt_final FROM @stmt_query_final;
		
		EXECUTE stmt_final;
		
		DEALLOCATE PREPARE stmt_final;
	ELSE
		SELECT @stmt_query_final query_final;
	END IF;
END$$

DELIMITER ;
DROP TABLE coop_rec_resol_parametros;
CREATE TABLE IF NOT EXISTS `coop_rec_resol_parametros` (
  `IDParametro` int(11) NOT NULL,
  `Nombre` varchar(500) NOT NULL,
  `Orden` int(11) NOT NULL,
  `Pagina` varchar(400) NOT NULL,
  `Descripcion1` varchar(700) NOT NULL,
  `Descripcion2` varchar(700) NOT NULL,
  `Descripcion3` varchar(700) NOT NULL,
  `Descripcion4` varchar(700) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `coop_rec_resol_parametros`
--

INSERT INTO `coop_rec_resol_parametros` (`IDParametro`, `Nombre`, `Orden`, `Pagina`, `Descripcion1`, `Descripcion2`, `Descripcion3`, `Descripcion4`) VALUES
(1, 'Indicador de reclamos de usuarios', 10, 'trp.php', 'Cantidad de Reclamos', 'Cantidad de Accesos Operativos', '', ''),
(2, 'Indicador de reiteraci&oacute;n de reclamos', 20, 'trr.php', 'Cantidad de reclamos reiterados', 'Cantidad de Accesos Operativos', '', ''),
(3, 'Indicador de Respuesta del Operador para Atenci&oacute;n al Usuario', 30, 'iroau.php', 'Cantidad de llamadas atendidas dentro de los 30 segundos', 'Cantidad de llamadas recibidas', '', ''),
(4, 'Indicador sobre Reclamos de Facturaci&oacute;n', 50, 'tcf.php', 'Cantidad de reclamos de facturación', 'Cantidad de facturas emitidas', '', ''),
(5, 'Indicador de Reclamos sobre Saldos de Cuentas Prepagas', 40, 'irscp.php', 'Cantidad de reclamos sobre saldos de cuentas prepagas', 'Cantidad total de accesos prepagos', '', ''),
(6, 'Indicador de Demora en Operatividad de Servicio Solicitado', 60, 'dposs.php', 'Cantidad de solicitudes resueltas dentro del TMI (10 días)', 'Cantidad de solicitudes ingresadas dentro del período', '', ''),
(8, 'Indicador de Reclamos ante la Autoridad de Aplicaci&oacute;n', 25, 'iraa.php', 'Cantidad de reclamos efectuados en la CNC', 'Cantidad de Accesos Operativos', '', '');

-- --------------------------------------------------------
