<?php
if(!defined('cant_servers_bcm'))
{
    define('cant_servers_bcm',1);
}
class Config {

    // Singleton object. Leave $me alone.
    private static $me;
    // Add your server hostnames to the appropriate arrays. ($_SERVER['HTTP_HOST'])
    private $productionServers = array('ticketbcm.sopnet.com.ar','http://ticketbcm.sopnet.com.ar/');
    private $stagingServers = array('');
    private $developmentServers = array('', '', '');
    private $localServers = array('localhost','localhost:8080', '127.0.0.1', 'localhost:81');

    public $dbHost; // Database server
    public $dbName; // Database name
    public $dbUsername; // Database username
    public $dbPassword; // Database password
    public $dbDns; // Database dns
    public $navegador;

    const NIVEL_DEBUG = 0;
    
    const PATH_ARCHIVOS = '../../../../archivos/';
    const PATH_ARCHIVOS_DEL = '../../../../archivos/';
    const PATH_ARCHIVOS_FRONT = 'archivos/';
    
    //CONFIG EMAIL
    const EMAIL_HOST = ""; //HOST DESDE DONDE SE ENVIA EL MAIL
    const EMAIL_PORT = 25; //PUERTO POR EL QUE SE ENVIA EL EMAIL
    const EMAIL_USER = ""; // USER DEL USUARIO QUE ENVIA EL MAIL
    const EMAIL_PASS = ""; // PASS DEL USUARIO QUE ENVIA EL MAIL
    
    //DATOS DE IMPRESION
    const IMPRIMIR_URL = 'http://www.sopnet.com.ar';
    const IMPRIMIR_TITULO_UNO = 'Cooperativa de Provision de Energia Electrica, Obras,';
    const IMPRIMIR_TITULO_DOS = 'Servicios Publicos y de Vivienda de XXXXX XXXXX Ltda';
    const IMPRIMIR_DIRECCION = "Mitre 471 - General XXXXXX - CP 6015 - Tel: 22222 442287";
    const IMPRIMIR_EMAIL = "Email: sopnet@info.com.ar";
    //FIN
    
    // <editor-fold defaultstate="collapsed" desc="constructor">
	// Singleton constructor
	private function __construct()
	{
		$i_am_here = $this->whereAmI();

        if ('production' == $i_am_here)
            $this->production();
        elseif ('staging' == $i_am_here)
            $this->staging();
		elseif ('development' == $i_am_here)
			$this->development ();
        elseif ('local' == $i_am_here)
            $this->local();
        elseif ('shell' == $i_am_here)
            $this->shell();
        else
            die('<h1>Where am I?</h1> <p>You need to setup your server names in <code>class.config.php</code></p>
                     <p><code>$_SERVER[\'HTTP_HOST\']</code> reported <code>' . $_SERVER['HTTP_HOST'] . '</code></p>');

        $this->everywhere(); // Add code to be run on all servers
    }

    // </editor-fold>
    // 
    // Add code to be run on all servers
    private function everywhere() {
        define('FRM_PATH', WEB_ROOT . "/prog/frm");
        define('APP_PATH', WEB_ROOT . "/prog/app");
        define('USAR_PDO',0);
        //[dami] seteamos el handler de errores
        set_error_handler("Config::exceptionErrorHandler");
        //[dami] seteamos el timezone
        date_default_timezone_set('America/Argentina/Buenos_Aires');
    }

    // production servers
    private function production() {
        define( 'NIVEL_DEBUG', 2 );
        ini_set('display_errors', '1');

        define('CARPETA', "/");
        define('WEB_ROOT', $_SERVER["DOCUMENT_ROOT"] . CARPETA);
        define('WEB_ROOT_URL', "http://" . $_SERVER["SERVER_NAME"] . ($_SERVER["SERVER_PORT"] != "80" ? ":" . $_SERVER["SERVER_PORT"] : "")  . CARPETA);

        $this->dbHost = '200.80.7.189';
        $this->dbName = 'ticketbcm';
        $this->dbUsername = 'ticketbcm';
        $this->dbPassword = 't1ck3tbcm2014';
        $this->dbDns = 'mysql:dbname=' . $this->dbName . ';host=' . $this->dbHost;
        $this->dbDieOnError = false;
    }

    // staging servers
    private function staging() {
        define( 'NIVEL_DEBUG', 0 );
        ini_set('display_errors', '1');

        define('CARPETA', "/");
        define('WEB_ROOT', $_SERVER["DOCUMENT_ROOT"] . CARPETA);
        define('WEB_ROOT_URL', "http://" . $_SERVER["SERVER_NAME"] . ($_SERVER["SERVER_PORT"] != "80" ? ":" . $_SERVER["SERVER_PORT"] : "")  . CARPETA);


        $this->dbHost = '';
        $this->dbName = '';
        $this->dbUsername = '';
        $this->dbPassword = '';
        $this->dbDns = 'mysql:dbname=' . $this->dbName . ';host=' . $this->dbHost;
        $this->dbDieOnError = false;

    }

    // este es webar2
    private function development()
    {
	define( 'NIVEL_DEBUG', 0 );
        ini_set('display_errors', '1');
        ini_set('error_reporting', E_ALL);

        define('CARPETA', "/");
        define('WEB_ROOT', $_SERVER["DOCUMENT_ROOT"] . CARPETA);
        define('WEB_ROOT_URL', "http://" . $_SERVER["SERVER_NAME"] . ($_SERVER["SERVER_PORT"] != "80" ? ":" . $_SERVER["SERVER_PORT"] : "")  . CARPETA);

        $this->dbHost = '';
        $this->dbName = '';
        $this->dbUsername = '';
        $this->dbPassword = '';
        $this->dbDns = 'mysql:dbname=' . $this->dbName . ';host=' . $this->dbHost;
        $this->dbDieOnError = true;

    }

    // local servers
    private function local() {
        define( 'NIVEL_DEBUG', 0 );
        ini_set('display_errors', '1');
        ini_set('error_reporting', E_ALL);

        define('CARPETA', "/Sopnet/Tickets/");
        define('WEB_ROOT', $_SERVER["DOCUMENT_ROOT"] . CARPETA);
        define('WEB_ROOT_URL', "http://" . $_SERVER["SERVER_NAME"] . ($_SERVER["SERVER_PORT"] != "80" ? ":" . $_SERVER["SERVER_PORT"] : "")  . CARPETA);

        $this->dbHost = 'localhost';
        $this->dbName = 'sopnet';
        $this->dbUsername = 'root';
        $this->dbPassword = '';
        $this->dbDns = 'mysql:dbname=' . $this->dbName . ';host=' . $this->dbHost;
        $this->dbDieOnError = true;
    }

    // <editor-fold defaultstate="collapsed" desc="funciones del config">
    /**
     * Standard singleton
     * @return Config
     */
    public static function getConfig() {
        if (is_null(self::$me))
            self::$me = new Config();

        return self::$me;
    }

    // Allow access to config settings statically.
    // Ex: Config::get('some_value')
    public static function get($key) {
        return self::$me->$key;
    }

    public function whereAmI() {
        if (in_array($_SERVER['HTTP_HOST'], $this->productionServers))
            return 'production';
        elseif (in_array($_SERVER['HTTP_HOST'], $this->stagingServers))
            return 'staging';
		elseif (in_array( $_SERVER['HTTP_HOST'], $this->developmentServers ))
			return 'development';
        elseif (in_array($_SERVER['HTTP_HOST'], $this->localServers))
            return 'local';
        else
            return false;
    }

    public static function exceptionErrorHandler($errno, $errstr, $errfile, $errline) {
        throw new ErrorException($errstr, 0, $errno, $errfile, $errline);
    }
   

// </editor-fold>
}